Bug 1569912 - [RFE] check for duplicate hostnames through colonizer deployment
Summary: [RFE] check for duplicate hostnames through colonizer deployment
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-colonizer
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Dustin Black
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 09:00 UTC by Nag Pavan Chilakam
Modified: 2019-04-18 09:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 09:54:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/gluster gluster-colonizer issues 66 0 None None None 2020-04-01 16:09:38 UTC

Description Nag Pavan Chilakam 2018-04-20 09:00:28 UTC
Description of problem:
---------------------
currently we are not checking for duplicate hostnames when deploying through colonizer.
we check if the host IPs are duplicates but not the hostnames.
Hence the deployment proceeds with duplicate hostnames and fails during volume creation as bricks from different nodes have same brick path as hostnames are same, this leading to an inconsistent environment



Version-Release number of selected component (if applicable):
---------------
colonizer-1.1.2


Steps to Reproduce:
1.deploy colonizer 
2. choose hostname and IP selection as manual
3. enter same hostname for 2 nodes

Actual results:
--------------
duplicate hostnames are taken and deployment fails during vol creation as bricks paths are duplicate

Comment 4 Dustin Black 2018-04-25 22:13:18 UTC
Ack. We need to add duplicates checking to the hostnames input for manual node information entry.

Comment 7 Ramakrishna Reddy Yekulla 2018-11-19 08:58:48 UTC
This is a feature request for the colonizer tool. This feature request is  filed as an issue upstream at https://github.com/gluster/gluster-colonizer/issues/66

Comment 8 Yaniv Kaul 2019-04-18 09:54:42 UTC
Closing all Colonizer BZs (as DEFERRED) as we do not intend to work on them for the time being.


Note You need to log in before you can comment on or make changes to this bug.